Package org.apache.aries.jax.rs.jackson

## Class JsonProviderPrototypeServiceFactory

- java.lang.Object
- - org.apache.aries.jax.rs.jackson.JsonProviderPrototypeServiceFactory

All Implemented Interfaces:
  `org.osgi.framework.PrototypeServiceFactory<com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider>`, `org.osgi.framework.ServiceFactory<com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider>`

    @Capability(attribute={"objectClass:List<String>=\'javax.ws.rs.ext.MessageBodyReader,javax.ws.rs.ext.MessageBodyWriter\'","osgi.jaxrs.media.type=application/json","osgi.jaxrs.name=jackson"},
                namespace="osgi.service")
    @RequireJaxrsWhiteboard
    public class JsonProviderPrototypeServiceFactory
    extends Object
    implements org.osgi.framework.PrototypeServiceFactory<com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider>

### Method Summary

All Methods Instance Methods Concrete Methods
`com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider` `getService​(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider> registration)`
`void` `ungetService​(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider> registration, com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider service)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getService

    public com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider getService​(org.osgi.framework.Bundle bundle,
                                                                           org.osgi.framework.ServiceRegistration<com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider> registration)

Specified by:
  `getService` in interface `org.osgi.framework.PrototypeServiceFactory<com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider>`
Specified by:
  `getService` in interface `org.osgi.framework.ServiceFactory<com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider>`

#### ungetService

    public void ungetService​(org.osgi.framework.Bundle bundle,
                             org.osgi.framework.ServiceRegistration<com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider> registration,
                             com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider service)

Specified by:
  `ungetService` in interface `org.osgi.framework.PrototypeServiceFactory<com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider>`
Specified by:
  `ungetService` in interface `org.osgi.framework.ServiceFactory<com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider>`